Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface IExchangeReadReport

All Superinterfaces:
  IExchangeReport, IGroupwareItem, IItem, IMailMessage, IMessage, IMessagingItem, IReadReport, IReport, java.io.Serializable

public interface IExchangeReadReport
extends IReadReport, IExchangeReport

The `IExchangeReadReport` interface represents the message that is sent when a message that was flagged with a read receipt was read by the recipient. The item class is `item.read_receipt_report.exchange`.

Field Summary
`static ItemClass` | `CLASS` The item class of `IExchangeReadReceipt`.
`static int` | `KEYID_REPORT_TEXT` The `int` ID for the `REPORT_TEXT` key.
`static Key` | `REPORT_TEXT` Key that represents the report information of the report message.

Fields inherited from interface com.compoze.collab.groupware.IReadReport
`KEYID_ORIGINAL_RECIPIENTS, KEYID_READ_DATE, ORIGINAL_RECIPIENTS, READ_DATE`

Fields inherited from interface com.compoze.collab.groupware.IMailMessage
`DELIVERY_DATE, DISPLAY_BCC, DISPLAY_CC, DISPLAY_FROM, DISPLAY_TO, ENCRYPTED, KEYID_DELIVERY_DATE, KEYID_DISPLAY_BCC, KEYID_DISPLAY_CC, KEYID_DISPLAY_FROM, KEYID_DISPLAY_TO, KEYID_ENCRYPTED, KEYID_READ_RECEIPT_REQUESTED, KEYID_SENDER_ADDRESS, KEYID_SENDER_NAME, KEYID_SENT_DATE, KEYID_SIGNED, KEYID_UNREAD, READ_RECEIPT_REQUESTED, SENDER_ADDRESS, SENDER_NAME, SENT_DATE, SIGNED, UNREAD`

Fields inherited from interface com.compoze.collab.messaging.IMessage
`KEYID_RECIPIENTS, RECIPIENTS`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.groupware.IReport
`KEYID_ORIGINAL_SUBJECT, ORIGINAL_SUBJECT`

Fields inherited from interface com.compoze.collab.exchange.IExchangeReport
`KEYID_ORIGINAL_DISPLAY_CC, KEYID_ORIGINAL_DISPLAY_TO, ORIGINAL_DISPLAY_CC, ORIGINAL_DISPLAY_TO`

Method Summary
`java.lang.String` | `getReportText()` Gets the report information for the receipt.

Methods inherited from interface com.compoze.collab.groupware.IReadReport
`getOriginalRecipients, getReadDate`

Methods inherited from interface com.compoze.collab.groupware.IMailMessage
`addEmbeddedAttachment, addRecipient, addRecipient, forward, forward, getBccAddresses, getBccRecipients, getCcAddresses, getCcRecipients, getDateDelivered, getDateSent, getFromAddresses, getRecipientsByType, getSender, getToAddresses, getToRecipients, isEncrypted, isReadReceiptRequested, isSigned, isUnread, removeRecipient, removeRecipient, removeRecipient, reply, reply, send, send, setEncrypted, setReadReceiptRequested, setSigned, setUnread`

Methods inherited from interface com.compoze.collab.messaging.IMessage
`addRecipient, getRecipients, send, setRecipients`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, getBodyHtml, setBody, setBodyHtml`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.groupware.IReport
`getOriginalSubject`

Methods inherited from interface com.compoze.collab.exchange.IExchangeReport
`getOriginalCc, getOriginalTo`

Field Detail

### KEYID_REPORT_TEXT

    public static final int KEYID_REPORT_TEXT

  The `int` ID for the `REPORT_TEXT` key.

### REPORT_TEXT

    public static final Key REPORT_TEXT

  Key that represents the report information of the report message.

### CLASS

    public static final ItemClass CLASS

  The item class of `IExchangeReadReceipt`.

Method Detail

### getReportText

    public java.lang.String getReportText()
                                   throws CollaborationException

  Gets the report information for the receipt.
  Returns:
    the the report information.
  Throws:
    `CollaborationException` - if there was a problem retrieving the report information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.